(defun c:PipeConvert_IRRI_UPDATE1 (/ Datalist ss f i ent eData)

  (vl-load-com)
  (vla-startundomark (setq doc (vla-get-activedocument (vlax-get-acad-object))))
 
(setq Datalist ; Color | Layer | Global Width

          '((68  "P_Laterl" 0.00)
            (24  "P_DN16-4" 0.05)
            (234  "P_DN16-6" 0.05)
            (174  "P_DN20-4" 0.05)
            (54  "P_DN25-4" 0.05)
            (51  "P_DN25-6" 0.05)
            (21  "P_DN32-4" 0.1)
            (22  "P_DN32-6" 0.1)
            (26  "P_DN32-8" 0.1)
            (122  "P_DN40-4" 0.1)  
            (94  "P_DN40-6" 0.1)
            (116  "P_DN40-8" 0.1)  
            (6  "P_DN50-6" 0.15)
            (230  "P_DN50-8" 0.15)
            (214  "P_DN50-10" 0.15)
            (4  "P_DN63-6" 0.15)
            (120  "P_DN63-8" 0.15)
            (58  "P_DN63-10" 0.15)
            (202  "P_DN75-6" 0.15)
            (208  "P_DN75-8" 0.15)
            (206  "P_DN75-10" 0.15)
            (178  "P_DN75-12.5" 0.15)
            (1  "P_DN90-6" 0.2)
            (238  "P_DN90-8" 0.2)
            (14  "P_DN90-10" 0.2)
            (3  "P_DN110-6" 0.25)
            (134  "P_DN110-8" 0.25)
            (81  "P_DN110-10" 0.25)
            (91  "P_DN110-12.5" 0.25)
            (254  "P_DN125-6" 0.2)  
            (8  "P_DN140-6" 0.2)
            (121  "P_DN140-8" 0.2)
            (111  "P_DN140-10" 0.2)
            (5  "P_DN160-6" 0.3)
            (172  "P_DN160-8" 0.3)
            (171  "P_DN160-10" 0.3)
            (176  "P_DN160-12.5" 0.3)  
            (231  "P_DN200-6" 0.3)
            (20  "P_DN225-6" 0.3)
            (200  "P_DN225-8" 0.3)
            (201  "P_DN225-10" 0.3)
            (204  "P_DN225-12.5" 0.3)
            (2  "P_DN250-6" 0.3)
            (56  "P_DN250-12.5" 0.3)
            (82  "P_DN280-6" 0.3)
            (92  "P_DN280-8" 0.3)
            (86  "P_DN280-10" 0.3)
            (96  "P_DN280-12.5" 0.3)
            (7  "P_DN315-6" 0.3)
            (9  "P_DN315-8" 0.3)
            (253  "P_DN315-10" 0.3)
            (252  "P_DN315-12.5" 0.3)
            (112  "P_DN355-6" 0.3)
            (52  "P_DN450-6" 0.3)
	  )
  )

 (setvar 'CECOLOR "BYLAYER")

  (if (setq ss (ssget '((0 . "LINE,LWPOLYLINE") (8 . "MAINLINE_PIPES,ZONE_PIPES,SPRAYLINES"))))
    (foreach ent (mapcar 'cadr (ssnamex SS))
      (setq eData (mapcar '(lambda (d) (cdr (assoc d (entget ent)))) '(62 10 11)))
      (if (setq f (assoc (car edata) Datalist)) ;if f # isnt found skip entity
        (progn
          (ssdel ent ss) 
          (entmake (list '(0 . "LWPOLYLINE") '(100 . "AcDbEntity") '(100 . "AcDbPolyline") '(90 . 2) '(70 . 0)
                          (cons 8 (cadr f)) (cons 43 (caddr f)) (cons 10 (cadr eData)) (cons 10 (caddr eData))
                   );;close list
          );;close entmake
        );;close progn
      );;close if
    );;close foreach
  );;close if	

  (vla-endundomark doc)
  (princ)
)




  
